
Ceph - Bug #12509

CEPH_QA_SUITE/AARCH64:Command failed (workunit test rbd/test_librbd_python.sh)

07/28/2015 04:56 PM - Yazen Ghannam

Status: Rejected % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source: other Affected Versions:  

Tags: aarch64 ceph-qa-suite: smoke

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

The following tests fail on AArch64:

smoke:basic/{clusters/fixed-3-cephfs.yaml fs/btrfs.yaml tasks/rbd_python_api_tests.yaml}

rbd:librbd/{cache/none.yaml cachepool/none.yaml clusters/fixed-3.yaml copy-on-read/on.yaml fs/btrfs.yaml msgr-failures/few.yaml

workloads/python_api_tests.yaml}

rbd:librbd/{cache/writeback.yaml cachepool/none.yaml clusters/fixed-3.yaml copy-on-read/off.yaml fs/btrfs.yaml

msgr-failures/few.yaml workloads/python_api_tests.yaml}

Sample output:

2015-07-07T16:52:13.951 INFO:tasks.workunit:Running workunit rbd/test_librbd_python.sh...

2015-07-07T16:52:13.953 INFO:teuthology.orchestra.run.teuth8:Running (workunit test rbd/test_librb

d_python.sh): 'mkdir -p -- /home/ubuntu/cephtest/mnt.0/client.0/tmp && cd -- /home/ubuntu/cephtest

/mnt.0/client.0/tmp && CEPH_CLI_TEST_DUP_COMMAND=1 CEPH_REF=workunit-fixes-for-aarch64 TESTDIR="/h

ome/ubuntu/cephtest" CEPH_ID="0" PATH=$PATH:/usr/sbin RBD_FEATURES=1 adjust-ulimits ceph-coverage 

/home/ubuntu/cephtest/archive/coverage timeout 3h /home/ubuntu/cephtest/workunit.client.0/rbd/test

_librbd_python.sh'

2015-07-07T16:52:14.032 INFO:tasks.workunit.client.0.teuth8.stderr:+ CEPH_REF=workunit-fixes-for-a

arch64

2015-07-07T16:52:14.034 INFO:tasks.workunit.client.0.teuth8.stderr:+ wget -q https://raw.github.co

m/yghannam/ceph/workunit-fixes-for-aarch64/src/test/pybind/test_rbd.py

2015-07-07T16:52:24.578 INFO:tasks.workunit.client.0.teuth8.stderr:+ nosetests -v test_rbd

2015-07-07T16:52:34.260 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestClone.test_flatten

_basic ... ok

2015-07-07T16:52:37.728 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestClone.test_flatten

_drops_cache ... ok

2015-07-07T16:52:42.293 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestClone.test_flatten

_errors ... ok

2015-07-07T16:52:48.352 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestClone.test_flatten

_larger_order ... ok

2015-07-07T16:52:54.982 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestClone.test_flatten

_multi_level ... ok

2015-07-07T16:53:00.584 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestClone.test_flatten

_smaller_order ... ok

2015-07-07T16:53:10.753 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestClone.test_list_ch

ildren ... ok

2015-07-07T16:53:14.204 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestClone.test_read ..

. ok

2015-07-07T16:53:19.670 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestClone.test_resize_

flatten_multi_level ... ok

2015-07-07T16:53:22.967 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestClone.test_resize_
io ... ok

2015-07-07T16:53:26.192 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestClone.test_resize_

stat ... ok

2015-07-07T16:53:28.665 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestClone.test_stat ..

. ok

2015-07-07T16:53:35.397 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestClone.test_unprote

ct_with_children ... ok

2015-07-07T16:53:39.868 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestClone.test_unprote

cted ... ok

2015-07-07T16:53:43.226 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestClone.test_write .

.. ok

2015-07-07T16:53:43.235 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestExclusiveLock.test

_follower_discard ... SKIP

2015-07-07T16:53:43.236 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestExclusiveLock.test

_follower_flatten ... SKIP

2015-07-07T16:53:43.237 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestExclusiveLock.test

_follower_resize ... SKIP

2015-07-07T16:53:43.238 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestExclusiveLock.test

_follower_snap_create ... SKIP

2015-07-07T16:53:43.239 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestExclusiveLock.test

_follower_snap_rollback ... SKIP

2015-07-07T16:53:43.240 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestExclusiveLock.test

_follower_write ... SKIP

2015-07-07T16:53:43.240 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestExclusiveLock.test

_ownership ... SKIP

2015-07-07T16:53:43.241 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestExclusiveLock.test

_read_only_leadership ... SKIP

2015-07-07T16:53:43.242 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestExclusiveLock.test

_snapshot_leadership ... SKIP

2015-07-07T16:53:44.464 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_copy ..

. ok

2015-07-07T16:53:46.375 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_create_

snap ... ok

2015-07-07T16:53:50.952 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_diff_it

erate ... ok

2015-07-07T16:53:51.367 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_flags .

.. ok

2015-07-07T16:53:51.826 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_invalid

ate_cache ... ok

2015-07-07T16:53:52.258 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_large_r

ead ... ok

2015-07-07T16:53:53.817 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_large_w

rite ... ok

2015-07-07T16:53:54.986 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_list_lo

ckers ... ok

2015-07-07T16:53:59.034 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_list_sn

aps ... ok

2015-07-07T16:53:59.597 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_lock_un

lock ... ok

2015-07-07T17:02:17.271 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_many_sn

aps ... ok

2015-07-07T17:02:19.931 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_protect

_snap ... ok

2015-07-07T17:02:20.455 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_read ..

. ok

2015-07-07T17:02:21.062 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_read_ba

d_offset ... ok

2015-07-07T17:02:21.502 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_read_wi

th_fadvise_flags ... ok

2015-07-07T17:02:25.017 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_remove_

snap ... ok

2015-07-07T17:02:25.433 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_remove_

with_exclusive_lock ... SKIP

2015-07-07T17:02:28.451 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_remove_

with_snap ... ok

2015-07-07T17:02:28.960 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_remove_

with_watcher ... ok
2015-07-07T17:02:29.563 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_resize 

... ok

2015-07-07T17:02:30.316 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_resize_

bytes ... ok

2015-07-07T17:02:31.266 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_resize_

down ... ok

2015-07-07T17:02:33.349 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_rollbac

k_to_snap ... ok

2015-07-07T17:02:35.863 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_rollbac

k_to_snap_sparse ... ok

2015-07-07T17:02:40.951 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_rollbac

k_with_resize ... ok

2015-07-07T17:02:43.518 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_set_no_

snap ... ok

2015-07-07T17:02:45.998 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_set_sna

p ... ok

2015-07-07T17:02:48.615 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_set_sna

p_deleted ... ok

2015-07-07T17:02:53.535 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_set_sna

p_recreated ... ok

2015-07-07T17:02:55.908 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_set_sna

p_sparse ... ok

2015-07-07T17:03:01.032 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_size ..

. ok

2015-07-07T17:03:01.425 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_stat ..

. ok

2015-07-07T17:03:01.601 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_update_

features ... ERROR

2015-07-07T17:03:02.361 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_write .

.. ok

2015-07-07T17:03:02.913 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_write_r

ead ... ok

2015-07-07T17:03:03.375 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.TestImage.test_write_w

ith_fadvise_flags ... ok

2015-07-07T17:03:03.382 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.test_version ... ok

2015-07-07T17:03:03.668 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.test_create ... ok

2015-07-07T17:03:10.669 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.test_create_defaults .

.. ok

2015-07-07T17:03:11.134 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.test_context_manager .

.. ok

2015-07-07T17:03:13.077 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.test_open_read_only ..

. ok

2015-07-07T17:03:14.889 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.test_open_dne ... ok

2015-07-07T17:03:16.787 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.test_open_readonly_dne

 ... ok

2015-07-07T17:03:16.823 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.test_remove_dne ... ok

2015-07-07T17:03:16.839 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.test_list_empty ... ok

2015-07-07T17:03:17.253 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.test_list ... ok

2015-07-07T17:03:17.945 INFO:tasks.workunit.client.0.teuth8.stderr:test_rbd.test_rename ... ok

2015-07-07T17:03:18.954 INFO:tasks.workunit.client.0.teuth8.stderr:

2015-07-07T17:03:18.955 INFO:tasks.workunit.client.0.teuth8.stderr:===============================

=======================================

2015-07-07T17:03:18.956 INFO:tasks.workunit.client.0.teuth8.stderr:ERROR: test_rbd.TestImage.test_

update_features

2015-07-07T17:03:18.957 INFO:tasks.workunit.client.0.teuth8.stderr:-------------------------------

---------------------------------------

2015-07-07T17:03:18.958 INFO:tasks.workunit.client.0.teuth8.stderr:Traceback (most recent call las

t):

2015-07-07T17:03:18.958 INFO:tasks.workunit.client.0.teuth8.stderr:  File "/usr/lib/python2.7/site

-packages/nose/case.py", line 197, in runTest

2015-07-07T17:03:18.959 INFO:tasks.workunit.client.0.teuth8.stderr:    self.test(*self.arg)

2015-07-07T17:03:18.960 INFO:tasks.workunit.client.0.teuth8.stderr:  File "/home/ubuntu/cephtest/m

nt.0/client.0/tmp/test_rbd.py", line 82, in _require_new_format

2015-07-07T17:03:18.961 INFO:tasks.workunit.client.0.teuth8.stderr:    return fn(*args, **kwargs)

2015-07-07T17:03:18.962 INFO:tasks.workunit.client.0.teuth8.stderr:  File "/home/ubuntu/cephtest/m

nt.0/client.0/tmp/test_rbd.py", line 106, in _blacklist_features

2015-07-07T17:03:18.963 INFO:tasks.workunit.client.0.teuth8.stderr:    return fn(*args, **kwargs)
2015-07-07T17:03:18.964 INFO:tasks.workunit.client.0.teuth8.stderr:  File "/home/ubuntu/cephtest/m

nt.0/client.0/tmp/test_rbd.py", line 300, in test_update_features

2015-07-07T17:03:18.965 INFO:tasks.workunit.client.0.teuth8.stderr:    self.image.update_features(

RBD_FEATURE_EXCLUSIVE_LOCK, True)

2015-07-07T17:03:18.966 INFO:tasks.workunit.client.0.teuth8.stderr:AttributeError: 'Image' object 

has no attribute 'update_features'

2015-07-07T17:03:18.966 INFO:tasks.workunit.client.0.teuth8.stderr:

2015-07-07T17:03:18.967 INFO:tasks.workunit.client.0.teuth8.stderr:-------------------------------

---------------------------------------

2015-07-07T17:03:18.968 INFO:tasks.workunit.client.0.teuth8.stderr:Ran 71 tests in 654.075s

2015-07-07T17:03:18.969 INFO:tasks.workunit.client.0.teuth8.stderr:

2015-07-07T17:03:18.970 INFO:tasks.workunit.client.0.teuth8.stderr:FAILED (SKIP=10, errors=1)

2015-07-07T17:03:18.978 INFO:tasks.workunit:Stopping ['rbd/test_librbd_python.sh'] on client.0...

History

#1 - 09/17/2015 10:35 PM - Josh Durgin

- Status changed from New to Rejected

This is running a version of the librbd python tests (test_rbd.py) from the master branch, which won't work against older librbd since they try to use

new functions like update_features().

This is happening because the workunit is downloading test_rbd.py from the master branch of github. You can rebase your branch on master, or

change qa/workunits/test_librbd_python.sh to fetch the correct version of this file in your branch.

Files

teuthology-smoke_basic_rbd_python_api_tests.log 411 KB 07/28/2015 Yazen Ghannam
